gnutls_ocsp_resp_get_responder(3)

NAME
gnutls_ocsp_resp_get_responder - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_get_responder(gnutls_ocsp_resp_t resp, gnutls_datum_t * dn);

ARGUMENTS

gnutls_ocsp_resp_t resp
    should contain a gnutls_ocsp_resp_t type

gnutls_datum_t * dn
    newly allocated buffer with name

DESCRIPTION
This function will extract the name of the Basic OCSP Response in the provided buffer. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC2253. The output string will be ASCII or UTF-8 encoded, depending on the certificate data. If the responder ID is not a name but a hash, this function will return zero and the dn elements will be set to NULL. The caller needs to deallocate memory by calling gnutls_free() on
 dn ->data. This function does not output a fully RFC4514 compliant string, if that is required see gnutls_ocsp_resp_get_responder2().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. When no data exist it will return success and set dn elements to zero.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/